<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// FRONTEND
Route::get('/', function () {
    return view('welcome');
});

// BACKEND
Route::get('/api/rpc/example/getusers', 'ExampleController@getUsers');
Route::get('/api/rpc/example/getuser/{id}', 'ExampleController@getUser');
Route::post('/api/rpc/example/adduser', 'ExampleController@addUser');
Route::post('/api/rpc/example/edituser', 'ExampleController@editUser');
Route::post('/api/rpc/example/deleteuser', 'ExampleController@deleteUser');
Route::post('/api/rpc/example/browse', 'ExampleController@browse');
